libretools - Bug #2103

[linux-libre] cannot build due to missing gpg key
2018-11-28 02:41 PM - GNUtoo

Status: not-a-bug % Done: 0%
Priority: bug
Assignee:

Category:

Description
Hi,

| was trying to improve the linux-liore PKGBUILD by trying to fix the bug #2103, however | cannot build it:

$ sudo libremakepkg -n parabola-armv7h
[...]

==> Verifying source file signatures with gpg...

linux-libre-4.19-gnu.tar.xz ... FAILED (unknown public key BCB7CF877E7D47A7)
patch-4.19-gnu-4.19.2-gnu.xz ... FAILED (unknown public key BCB7CF877E7D47A7)

\

\

\

| logo_linux_clut224.ppm ... FAILED (unknown public key 227CA7C556B2BA78)
| logo_linux_mono.pbm ... FAILED (unknown public key 227CA7C556B2BA78)

| logo_linux_vgal6.ppm ... FAILED (unknown public key 227CA7C556B2BA78)

\
\
\

rcn-libre-4.19.2-armv7-x5.patch ... FAILED (unknown public key 227CA7C556B2BA78)

==> ERROR: One or more PGP signatures could not be verified!
==> ERROR: Could not download sources.

History

#1 - 2018-11-28 02:53 PM - GNUtoo

- Description updated

#2 - 2018-11-30 03:54 AM - ovruni

- Status changed from open to not-a-bug
gpg --recv-keys 227CA7C556B2BA78

#3 - 2018-11-30 12:21 PM - GNUtoo

- Status changed from not-a-bug to info needed

| don't understand why running
gpg —-recv-keys 227CAT7C556B2BA78
would fix the issue.

I'm using libremakepkg so | would instead need to do:

$ sudo librechroot -n parabola-armv7h enter
# pacman-key —--recv-keys 227CAT7C556B2BA78

But this is not what | should be supposed to do: this should work automatically either after:
- I

and/or:

Maybe some of the keyrings need to be updated for armv7 (and maybe also for i686)?h
#4 - 2018-11-30 12:21 PM - GNUtoo

- Status changed from info needed to open

#5 - 2018-11-30 03:42 PM - ovruni

Did you try the command that | wrote above?

#6 - 2018-11-30 03:59 PM - ovruni

- Project changed from Packages to libretools

#7 - 2018-11-30 04:57 PM - GNUtoo

| didn't before because it didn't made sense for me at the time.

Here's the result:

[parabola@apul ~]$ gpg —--recv-keys 227CAT7C556B2BA78

gpg: key 227CAT7C556B2BA78: 2 duplicate signatures removed

gpg: key 227CAT7C556B2BA78: 28 signatures not checked due to missing keys

gpg: key 227CA7C556B2BA78: 2 signatures reordered

gpg: key 227CA7C556B2BA78: public key "David P. (Main email address) <megver83@megver83.ga>" imported
gpg: marginals needed: 3 completes needed: 1 trust model: pgp

gpg: depth: 0 wvalid: 1 signed: 0 trust: 0-, 0g, On, Om, 0f, 1lu

gpg: next trustdb check due at 2020-10-31

gpg: Total number processed: 1

gpg: imported: 1

Then | retried and it failed again:

$ sudo libremakepkg -n parabola-armv7h
| ==> Verifying source file signatures with gpg... | linux-libre-4.18-gnu.tar.xz ... FAILED (unknown public key BCB7CF877E7D47A7) |
patch-4.18-gnu-4.18.11-gnu.xz ... FAILED (unknown public key BCB7CF877E7D47A7)
| then tried to do it in the chroot:
$ sudo librechroot -n parabola-armv7h enter
[root@parabola /]# gpg —-recv-keys 227CA7C556B2BA78
but it wound't change anything.
| ==> Verifying source file signatures with gpg...
| linux-libre-4.18-gnu.tar.xz ... FAILED (unknown public key BCB7CF877E7D47A7)
| patch-4.18-gnu-4.18.11-gnu.xz ... FAILED (unknown public key BCB7CF877E7D47A7)
What keyring does makepkg uses?
It wound't make sense if it had to use the build user keyring:

e |t would be up to the user to maintain the keyring for building packages. It's way better if the keyring is maintained collectively by developers.
¢ |t would collude with the user's personal keyring

However it would make sense if it used a temporary keyring for building packages as the keys hashes are in the packages.
This is maybe what it's supposed to do and maybe it fails for me for some reasons.

This might be the reason why you asked me to run that command and that It didn't make sense for me at first.

Denis.

#8 - 2018-11-30 04:58 PM - ovruni
gpg --recv-keys BCB7CF877E7D47A7

#9 - 2018-12-01 01:13 AM - GNUtoo

Sorry, somehow | missed that there was multiple keys and signatures.
It now works after adding both keys outside of the librechroot:

==> Verifying source file signatures with gpg...
| linux-libre-4.19-gnu.tar.xz ... Passed
| patch-4.19-gnu-4.19.2-gnu.xz ... Passed

I'm still unsure how this is supposed to be handled. I'll ask around if there is some documentation or convention on what the user building packages is
expected to do, and how libremakepkg is supposed to deal with gpg keys storage and retrieval.

Thanks a lot for your help.

Denis.

#10 - 2019-02-05 05:39 PM - Megver83
- Status changed from open to not-a-bug
GNUtoo wrote:

Sorry, somehow | missed that there was multiple keys and signatures.
It now works after adding both keys outside of the librechroot:

(-]

I'm still unsure how this is supposed to be handled. I'll ask around if there is some documentation or convention on what the user building
packages is expected to do, and how libremakepkg is supposed to deal with gpg keys storage and retrieval.

Thanks a lot for your help.

Denis.
libremakepkg reads the keys from the running user's keyring. Not pacman-keyring (that is for pkgs), since this is for source files.

This is a typical error among newbies, | wouldn't report an issue regarding source signatures unless the files have wrong signs. You can always check
with gpg --verify $file
